> ## Documentation Index
> Fetch the complete documentation index at: https://sensible.mintlify.site/llms.txt
> Use this file to discover all available pages before exploring further.

# Try synchronous extraction

Try out a test endpoint, the [/extract endpoint](https://sensiblehq.readme.io/reference#rate-confirmations). This endpoint accepts a document and returns extracted data synchronously. Use asynchronous endpoints in production.

### Audience

If you're new to APIs, use this tutorial to return document data from an example tax form.

Or, if you're familiar with APIs:

* see the [API quickstart](/integrations/quickstart) to get a sample API response.
* explore the Sensible Postman collection:

[Run in Postman](https://god.gw.postman.com/run-collection/16839934-45339059-3fec-4c31-a891-9a12a3e1c22b?action=collection%2Ffork\&collection-url=entityId%3D16839934-45339059-3fec-4c31-a891-9a12a3e1c22b%26entityType%3Dcollection%26workspaceId%3Ddbde09dc-b7dd-487d-a68f-20d32b008f90)

### Prerequisites

See [prerequisites](/api-guides/api-tutorial/index-api-tutorial#prerequisites).

### Run the request in Postman

To run a Sensible API request in Postman, follow these steps:

1. Copy the following code sample, and replace `*YOUR_API_KEY*` with your [API key](https://app.sensible.so/account/):

```Curl cURL
curl --request POST \
  --url 'https://api.sensible.so/v0/extract/tax_forms' \
  --header 'Authorization: Bearer YOUR_API_KEY' \
  --header 'Content-Type: application/pdf' \
  --data-binary '@/PATH_TO_DOWNLOADED_DOCUMENT.pdf'
```

2. In your Postman workspace, click **Import**, select **Raw text**, paste the code sample, and follow the prompts to import to code sample.

![Click to enlarge](https://mintlify.s3-us-west-1.amazonaws.com/sensible/assets/v0/images/screenshots/api_quickstart_postman_import.png)

3. Download the following example document, which works with the prerequisite **tax\_forms** document type:

| Example document | [Download link](https://github.com/sensible-hq/sensible-configuration-library/raw/main/tax%5Fforms/1040/2021/1040%5F2021%5Fsample.pdf) |
| ---------------- | -------------------------------------------------------------------------------------------------------------------------------------- |

4. Correct the path to the downloaded document: In the request, click the **Body** tab, select **binary**, then click **Select file** and select the document you downloaded:

![Click to enlarge](https://mintlify.s3-us-west-1.amazonaws.com/sensible/assets/v0/images/screenshots/api_quickstart_postman_file.png)

5. Click **Send**. The response includes a `parsed_document` object that looks something like the following:

```JSON JSON
  {
	"parsed_document": {
		"year": {
			"type": "string",
			"value": "2021"
		},
		"filing_status.single": {
			"type": "boolean",
			"value": true
		},
		"filing_status.married_filing_jointly": {
			"type": "boolean",
			"value": false
		},
		"filing_status.married_filing_separately": {
			"type": "boolean",
			"value": false
		},
		"filing_status.head_of_household": {
			"type": "boolean",
			"value": false
		},
		"filing_status.qualifying_widow": {
			"type": "boolean",
			"value": false
		},
		"name": {
			"type": "string",
			"value": "Connor Roy"
		},
		"ssn": {
			"type": "string",
			"value": "337-18-2333"
		}
	}
}
```

**Note:** Did you notice that this API call doesn't specify a config (`1040_2021`)? As a convenience, Sensible evaluates all the configs for the document type (`tax_forms`), and **automatically** chooses the one that fits best.

## (Optional) See how it works in the Sensible app

To see this example in the Sensible app:

1. Log into the [Sensible app](https://app.sensible.so/signin/).
2. Navigate to the [1040 configuration](https://app.sensible.so/editor/?d=tax%5Fforms\&c=1040%5F2021\&g=1040%5F2021%5Fsample) in the **tax forms** document type.
3. Visually examine the example document (middle pane), config (left pane), and extracted data (right pane) to better understand the configuration for the API call you just ran:

![q](https://mintlify.s3-us-west-1.amazonaws.com/sensible/assets/v0/images/screenshots/api_quickstart_app.png)
